//--------------------------------------------------------------
// File     : main.c
// Datum    : 10.04.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.0
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der SysCheck-Library (Assert-Fehler)
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_syscheck.h"
#include "stm32_ub_led.h"


int main(void)
{
  SYSCHECK_t check;

  SystemInit(); // Quarz Einstellungen aktivieren

  // LEDs initialisieren
  UB_Led_Init();

  // Assert-Mode initialisieren
  UB_SysCheck_Assert_Init();

  //------------------------------------------
  // Absichtlich einen Fehler provizieren
  //-----------------------------------------
  // SPI-Clock am falschen BUS initialisieren
  RCC_APB1PeriphClockCmd(RCC_APB2Periph_SPI1, ENABLE);


  // Auf einen Assert-Fehler prfen
  check=UB_SysCheck_Assert();

  if(check==SYSCHECK_OK) {
	// keine Fehler
    UB_Led_On(LED_GREEN);
  }
  else {
	// ein Assert Fehler ist aufgetreten
	// im Debug-Mode kann der Filename
	// und die Zeilennummer angezeigt werden
	UB_Led_On(LED_RED);
  }


  while(1)
  {

  }
}
